Package org.apache.sysds.runtime.io

## Class FrameWriterBinaryBlock

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameWriter
  - - org.apache.sysds.runtime.io.FrameWriterBinaryBlock

Direct Known Subclasses:
  `FrameWriterBinaryBlockParallel`

    public class FrameWriterBinaryBlock
    extends FrameWriter

Single-threaded frame binary block writer.

### Constructor Summary

Constructors
`FrameWriterBinaryBlock()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeFrameToHDFS​(FrameBlock src, String fname, long rlen, long clen)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrameWriterBinaryBlock

    public FrameWriterBinaryBlock()

### Method Detail

#### writeFrameToHDFS

    public final void writeFrameToHDFS​(FrameBlock src,
                                       String fname,
                                       long rlen,
                                       long clen)
                                throws IOException,
                                       DMLRuntimeException

Specified by:
  `writeFrameToHDFS` in class `FrameWriter`
Throws:
  `IOException`
  `DMLRuntimeException`